=== src/CMakeLists.txt ===
add_subdirectory(catch)
add_subdirectory(cds-shmem)
add_subdirectory(drv)
add_subdirectory(simpleargs)
add_subdirectory(epics)
add_subdirectory(gds)

if( NOT BUILD_ON_BOOT )
    add_subdirectory(daqd)
    add_subdirectory(dolphin_daemon)
    #add_subdirectory(dv)
    add_subdirectory(nds)
    add_subdirectory(run_number)
    add_subdirectory(local_dc)
    add_subdirectory(fe_stream_test)
    add_subdirectory(pub_sub_stream)
    add_subdirectory(rust)
endif()

add_subdirectory(simple_pv)

add_subdirectory(util)
add_subdirectory(include)
add_subdirectory(python)
