=== test/CMakeLists.txt ===
add_test(
        NAME test-model-build
        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/run "${CMAKE_CURRENT_SOURCE_DIR}" build
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_test(
        NAME test-model-install
        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/run "${CMAKE_CURRENT_SOURCE_DIR}" install
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_test(
        NAME test-model-startstop
        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/run "${CMAKE_CURRENT_SOURCE_DIR}" startstop
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(parts_tests)
