=== src/catch/CMakeLists.txt ===
if (TARGET catch2)
    message("Catch2 already defined, assuming this is from an external  include")
else (TARGET catch2)
    add_library(catch2 INTERFACE)
    target_include_directories(catch2 INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})
endif (TARGET catch2)
