=== src/cds-shmem/CMakeLists.txt ===
add_library(cds-shmem STATIC cds-shmem.c)
target_include_directories(cds-shmem PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/../include
        ${CMAKE_CURRENT_SOURCE_DIR}
)
target_include_directories(cds-shmem PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/mbuf)
target_compile_options(cds-shmem PRIVATE -fPIC)
target_link_libraries(cds-shmem PUBLIC rt)
install(TARGETS cds-shmem DESTINATION lib)
install(FILES cds-shmem.h DESTINATION include/advligorts)

add_library(driver::shmem ALIAS cds-shmem)
