=== src/dolphin_daemon/CMakeLists.txt ===
project (dolphin_daemon)

add_executable(${PROJECT_NAME} ${CMAKE_CURRENT_SOURCE_DIR}/src/main.cpp ${CMAKE_CURRENT_SOURCE_DIR}/src/DolphinKernelProxy.cpp)

target_compile_options(${PROJECT_NAME} PRIVATE -std=gnu++17)

target_include_directories(${PROJECT_NAME}
    PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/include/
    ${CMAKE_CURRENT_SOURCE_DIR}/../include/
    )

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    fmt
    pthread
    )


install(TARGETS ${PROJECT_NAME} DESTINATION bin)
