=== src/drv/CMakeLists.txt ===
add_subdirectory(mbuf/mbuf_probe)
add_subdirectory(mbuf/userapace_test)
add_subdirectory(gpstime/tests)
add_subdirectory(gpstime/gps_module_utils)

if( NOT BUILD_ON_BOOT )
    add_subdirectory(python)
endif()

add_library(ini_parsing STATIC param.c crc.c)
target_include_directories(ini_parsing PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR}/../include)
add_library(driver::ini_parsing ALIAS ini_parsing)

add_library(gpsclock STATIC gpsclock.c)
target_include_directories(gpsclock PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../include)
add_library(driver::gpsclock ALIAS gpsclock)
