=== src/epics/CMakeLists.txt ===
add_subdirectory(seq)
add_subdirectory(edcu)
