## advligorts 5.5.2

=== debian/changelog ===
advligorts (5.5.2-1+deb10) stable; urgency=medium

  * release 5.5.2

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 20 Nov 2025 14:48:48 -0800

advligorts (5.5.2~dev1-1+deb10) stable; urgency=medium

  * Fixing LIGO DAC instance number choice, and updating a few DAC related medms
  * Center OUTPUT lable on DAC overvire medm
  * wait longer for LIGO DAC timing sync
  * Change color of LIGO DAC for better visability
  * Remove extra DACs from selection list, set card_num to -1 to force people to pick a valid card_num
  * Remove filter reset dmesg

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 19 Nov 2025 11:45:00 -0800

advligorts (5.5.1~dev1-1+deb10) stable; urgency=medium

  * Extending standalone_edcu to be able to publish data via the pub_sub interface.

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 31 Jul 2025 09:06:49 -0700

advligorts (5.5.0-4+deb10) stable; urgency=medium

  * Change location for example daqd-rc

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 18 Jun 2025 17:01:09 -0700

advligorts (5.5.0-3+deb10) stable; urgency=medium

  * Fix bad path in install file

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 18 Jun 2025 14:33:33 -0700

advligorts (5.5.0-2+deb10) stable; urgency=medium

  * Add example daqdrc file to /usr/lib/advligorts-daqd

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 18 Jun 2025 14:10:00 -0700

advligorts (5.5.0-1+deb10) stable; urgency=medium

  * Set version to 5.5.0 release

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 07 May 2025 15:53:20 -0700

advligorts (5.5.0~dev2-1+deb10) stable; urgency=medium

  * Update fe_simulated_streams to be able to run faster than realtime.
  * correct 20-bit DAC duotone multiplier
  * Fix DACs so that they don't run empty in a slow IOP.
  * Add extra_dac_delay_cycles
  * Get LIGO DAC duotone working
  * Better example IOP models

 -- Erik von Reis <evonreis@caltech.edu>  Fri, 25 Apr 2025 15:50:31 -0700

advligorts (5.5.0~dev1-1+deb10) stable; urgency=medium

  * Adding phase rotator part python examples
  * Fixing state space not showing up in CDS_PARTS
  * Adding noise parts to unittest model and new example script
  * librts: avoid feeding daq config file to fmseq.pl
  * GPSTIME driver: offset script auto calculates gps offset based on measured delta
  * fix userspace build for param no_zero_pad=1
  * Fixing deb10 build with statespace, and librts builds
  * Making it so enable_sdk.sh won't overwrite CDS_SRC if already set.
  * Updating daqd declarative config
  * Remove or comment out log messages in nds that end up being line noise.
  * Update to a test test_daqd_stop_on_duplicate_channel_list to reflect how fe_simulated_streams works
  * duotone changes from 5.1
  * Fixing DacKillIop part
  * Adding better duoToneMultiplier for LIGO DAC

 -- Erik von Reis <evonreis@caltech.edu>  Mon, 14 Apr 2025 13:03:03 -0700

advligorts (5.4.0-1+deb10) stable; urgency=medium

  * Bump version to 5.4.0 release

 -- Erik von Reis <evonreis@caltech.edu>  Sun, 03 Nov 2024 13:50:06 -0800

advligorts (5.4.0~dev1-1+deb10) stable; urgency=medium

  * Added atan part and unittest
  * Added phase unwrap part
  * Fix timing light when using newer firmware versions on Ligo timing card.
  * Using hash of sdk path, instead of rcg-local for version when enabling SDK with script
  * renaming rcg_version -> rcg-version to match installed dir, and fix warning from rtcds
  * Add enable_sdk script update local rcg-version
  * Fixed librts parse of the filters
  * Mark rcg-version file so enabling the SDK dose not make tracked changes to it
  * Fixing issue where when a user model does not find at least one usable ADC, it crashes the FE when removed.
  * Translated Pub_sub, Local-dc,and run_number tests from bash to python.
  * testpoint and awg RPC services now run on a single server, therefore a single thread
  * Adding librts example script for phase unwrap part
  * Switch order so that IOP prefers Ligo Timing Card to old TDS system
  * Statespace part working in librts, and RT models building it in.
  * Adding statespace part to x1tst.mdl model, and writing out x1iopvirt.mdl with 2019a
  * Adding new LIGO 32 chan DAC to the RCG/RTS, based on branch 5.1
  * Updating fe_simulated_stream to run without a GPS driver loaded.
  * IOP waits for intermittent late DAC data
  * Improved sys access to LPTC registers
  * Fixing race condition when two models share a DAC, and one is late, the IOP can miss data and won't report anything went wrong.
  * Temperature monitoring added to LIGO timing card.
  * improve ipc_channel_report.py to show when all IPC checks are passed.
  * Adding mfence ops for userspace
  * fix: 18-bit DACs wouldn't set DAC error bit when in HIQTR
  * Add build option to make building some binaries easier on bootservers
  * Starting to add support for other ADC types in virtual IO
  * Fixing a bug with multiple DACs in your model having the same card_num, fixing ADC top level check
  * Fixing issue where VIO did not clean up its mbufs
  * Fixing issue where VIO IOPs did not write correct time/cycle for AWG
  * Fixing issue where fast ADC would report slow ADC data in VIO mode
  * Fixing undersample use in VIO mode.
  * Added dolphin timing xmit indicator
  * Adding  IPX TX status, and warning when IPC send takes too long
  * Fix #655 detect duplicate channels when starting the DAQ, then crash
  * Adding sync code, to re-sync ADCs on startup
  * Allow for longer pulse widths on the PPS to be valid
  * Small change to not call time shift code when we don't have an IO chassis
  * Adding error message when testpoint_server unexpectedly returns
  * change daq_wiper.py to work for test stands by default. Move IFO one to daq_wiper_ifo.py

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 31 Oct 2024 12:13:22 -0700

advligorts (5.2.1~dev1-1+deb10) stable; urgency=medium

  [ ezekiel.dohmen ]
  * Fixing packaging issue, and shipping cds-shmem directory with rcg install
